[SciPy-Dev] Scipy on Python 3

Pauli Virtanen pav@iki...
Mon Sep 13 15:06:37 CDT 2010


Mon, 13 Sep 2010 15:01:27 -0500, Bruce Southey wrote:
[clip]
> There are a lot of 'PendingDeprecationWarning: Please use assertTrue
> instead.' messages resulting from the usage of failUnless which is
> deprecated since version 2.7.

Unfortunately, we can't use assertTrue since it's not in Python 2.4. Also 
these could be changed to user assert_(), similarly how Warren changed 
recently bare asserts.

-- 
Pauli Virtanen



More information about the SciPy-Dev mailing list